← Classificações
Limpar

Scotland

Women's West Region League Division 2

#EquipaPWDLPDBPPtsForma
1Marr RFC3300–315WWW
2Uddingston RFC4301–315WLWW
3Cartha Queens Park RFC (2nd XV)4202–311LWLW
4Irvine RFC3102–12LWL
5Strathaven RFC4004–00LLLL

Fonte: Scottish Rugby · verificado 14/10, 16:52 · Forma: os cinco últimos resultados que temos, o mais recente à direita.

Jogos e resultados →

Cada tabela é a classificação publicada pela própria liga, com os seus bónus, penalizações e desempates. BP aparece onde a liga o publica; nas restantes já está incluído em Pts.